summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:02:08 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:08 +0200
commit6b606c42a37065bf50d13cdb44d070e11df8de81 (patch)
treed97edf040876599201a95071f5907074bf5d96e6
parent0cd50c0b6fb5aadb6fdecd0977e1b118329ce5bd (diff)
downloadslackbuilds-6b606c42a37065bf50d13cdb44d070e11df8de81.tar.gz
slackbuilds-6b606c42a37065bf50d13cdb44d070e11df8de81.tar.xz
system/slackins: Added to 12.0 repository
-rw-r--r--system/slackins/README15
-rw-r--r--system/slackins/doinst.sh16
-rw-r--r--system/slackins/slack-desc12
-rw-r--r--system/slackins/slackins.SlackBuild76
-rw-r--r--system/slackins/slackins.info8
5 files changed, 127 insertions, 0 deletions
diff --git a/system/slackins/README b/system/slackins/README
new file mode 100644
index 0000000000..4367801fa3
--- /dev/null
+++ b/system/slackins/README
@@ -0,0 +1,15 @@
+Slackins is a graphical frontend for Slackware's pkgtool suite.
+It has also some additional tools; for example, rpm2tgz, library check,
+etcetera. You must have root privileges to start it.
+
+It has some flaws, though. Resizing it is not that beautiful, and
+there are also some spelling issues.
+
+Note that the slackins binary will install with root:wheel ownership
+and mode 4750, meaning that it's setuid root and executable only by
+root and members of the wheel group. This should be a safe enough
+approach since this will prevent everyone else from executing it,
+and even so, slackins will prompt for the root password before doing
+anything. If you don't want to install the binary suid, then run
+the build script as follows:
+ SETSUID=no ./slackins.SlackBuild
diff --git a/system/slackins/doinst.sh b/system/slackins/doinst.sh
new file mode 100644
index 0000000000..8a46b92aa7
--- /dev/null
+++ b/system/slackins/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/slackins/slackproc.conf.new
+config etc/slackins/slack_descrc.new
+
diff --git a/system/slackins/slack-desc b/system/slackins/slack-desc
new file mode 100644
index 0000000000..07bd28a2e3
--- /dev/null
+++ b/system/slackins/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler---------------------------------------------------|
+slackins: slackins (graphical pkgtool frontend)
+slackins:
+slackins: Slackins is a graphical frontend for Slackware's pkgtool suite.
+slackins: It has also some additional tools; for example, rpm2tgz,
+slackins: library check, etcetera.
+slackins:
+slackins: Homepage: http://slackins.sourceforge.net
+slackins:
+slackins:
+slackins:
+slackins:
diff --git a/system/slackins/slackins.SlackBuild b/system/slackins/slackins.SlackBuild
new file mode 100644
index 0000000000..2f3eea0c24
--- /dev/null
+++ b/system/slackins/slackins.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for slackins
+# Written by ppr:kut <hmwiesinger@gmx.at>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=slackins
+VERSION=3.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# This should be safe enough, as it's still only executable by members
+# of the wheel group, AND it still asks for the root password before
+# continuing.
+SETSUID=${SETSUID:-yes}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+
+# We won't be using the Makefile's 'install' target - it's ugly. (--rworkman)
+
+# Are we going to do this suid?
+if [ "$SETSUID" = "yes" ]; then
+ install -D -m 4750 -g wheel bin/slackins $PKG/usr/bin/slackins
+else
+ install -D -m 0750 -g wheel bin/slackins $PKG/usr/bin/slackins
+fi
+
+install -D -m 0755 src/script/removedlog $PKG/usr/bin/removedlog
+
+# Add the icons and menu entry
+install -D -m 0644 icon/s3.png $PKG/usr/share/pixmaps/s3.png
+install -D -m 0644 icon/SlackIns.desktop $PKG/usr/share/applnk/Utilities/SlackIns.desktop
+
+# Let's not clobber config files
+install -D -m 0644 modules/slack-serv/conf/slackproc.conf $PKG/etc/slackins/slackproc.conf.new
+install -D -m 0644 modules/slack-serv/conf/slack_descrc $PKG/etc/slackins/slack_descrc.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/slackins/slackins.info b/system/slackins/slackins.info
new file mode 100644
index 0000000000..e474caff70
--- /dev/null
+++ b/system/slackins/slackins.info
@@ -0,0 +1,8 @@
+PRGNAM="slackins"
+VERSION="3.0"
+HOMEPAGE="http://slackins.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/slackins/slackins-3.0.tar.gz"
+MD5SUM="a642cf27d686efe5f3974de75417b7c7"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"